(*        GREATIS DELPHI PAGES         *)
(* Copyright (C) 2001 Greatis Software *)
(*  web: http://www.greatisdelphi.com  *)
(*     e-mail: delphi@greatis.com      *)

unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

  TMyHint = class(THintWindow)
  private
    FRegion: THandle;
  public
    procedure ActivateHint(Rect: TRect; const AHint: string); override;
  end;


var
  Form1: TForm1;

implementation

{$R *.DFM}
procedure TMyHint.ActivateHint(Rect: TRect; const AHint: string);
begin
  SetWindowRgn(Handle, 0, True);
  DeleteObject(FRegion);
  BoundsRect:=Rect;
  FRegion:=CreateEllipticRgn(0,0,Width,Height);
  SetWindowRgn(Handle, FRegion, True);
  inherited ActivateHint(Rect, AHint);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Application.ShowHint:=False;
  HintWindowClass:=TMyHint;
  Application.ShowHint:=True;
end;

end.


